JZIP(6)

NAME
jzip - execute Infocom v1-5 and Inform v1-5 & v8 game files

SYNOPSIS
jzip [ options ] z-file-name

DESCRIPTION
jzip invokes the Z-code Interpreter.

REQUIREMENTS
jzip will run under most (if not all) flavors of Unix, including AIX, Solaris, SunOS, HP/UX, Linux, Free/NetBSD, IRIX, NeXT Mach, DEC OSF/1, and others.

EDITING

JZip now supports arrowkey editing in UNIX.

Up/Down
    selects the previous / next command in history

Left/Right
    moves the cursor over the line.

Backspace
    deletes

Typing
    inserts under the cursor

OPTIONS

-l n
    lines in display

-c n
    columns in display

-r n
    text right margin (default = 1)

-t n
    text top margin (default = 0)

-v  display version information

-m  monochrome mode

-y  set Tandy bit

-s n
    zmachine strict level, from 0 (none), 1 (report once, recommended) to 3.

ENVIRONMENT
jzip looks for the environment variable INFOCOM_PATH and will use the path found there to look for the story file specified on the command line if the story file cannot be found in the current directory.

CREDITS
jzip is written and maintained by John Holder (j-holder@home.com), based on the ZIP v2.0 sources by Mark Howell and Olaf 'Olsen' Barthel.

AVAILABILITY
The most recent version of jzip can be downloaded from one of:

http://www.jzip.sourceforge.net/

ftp://ifarchive.org/infocom/interpreters/zip/

FILES

/usr/games/jzip
    The Z-Code Interpreter Program

/usr/lib/games/zfiles
    Recommended location for Zcode files

RELATED USENET NEWSGROUPS
Interactive Fiction (IF) authors should check out rec.arts.int-fiction, and IF players should check out rec.games.int-fiction.